Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1694400 - Cluster network operator in failed state [NEEDINFO]
Summary: Cluster network operator in failed state
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.0
Assignee: Dan Winship
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-31 05:00 UTC by Jaspreet Kaur
Modified: 2019-04-12 13:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-12 13:12:48 UTC
Target Upstream Version:
danw: needinfo? (jkaur)


Attachments (Terms of Use)

Description Jaspreet Kaur 2019-03-31 05:00:00 UTC
Description of problem: Fresh installation contains cluster networkoperator in failed state


./oc describe clusteroperators network
Name:         network
Namespace:    
Labels:       <none>
Annotations:  <none>
API Version:  config.openshift.io/v1
Kind:         ClusterOperator
Metadata:
  Creation Timestamp:  2019-03-31T02:39:55Z
  Generation:          1
  Resource Version:    9770
  Self Link:           /apis/config.openshift.io/v1/clusteroperators/network
  UID:                 446841f1-535e-11e9-8b5a-0294331e5a70
Spec:
Status:
  Conditions:
    Last Transition Time:  2019-03-31T02:47:07Z
    Message:               Error while updating operator configuration: could not apply (rbac.authorization.k8s.io/v1, Kind=ClusterRoleBinding) /openshift-sdn: could not update object (rbac.authorization.k8s.io/v1, Kind=ClusterRoleBinding) /openshift-sdn: Put https://api.jkaurbeta.aws.cee.redhat.com:6443/apis/rbac.authorization.k8s.io/v1/clusterrolebindings/openshift-sdn: read tcp 10.0.135.92:39080->10.0.142.199:6443: read: connection reset by peer
    Reason:                ApplyOperatorConfig
    Status:                True
    Type:                  Failing
    Last Transition Time:  2019-03-31T02:47:02Z
    Status:                False
    Type:                  Progressing
    Last Transition Time:  2019-03-31T02:41:06Z
    Status:                True
    Type:                  Available
  Extension:               <nil>
  Versions:
    Name:     operator
    Version:  4.0.0-0.8
Events:       <none>
[root@jkaur OCP4]# 


Version-Release number of selected component (if applicable):

./oc version
oc v4.0.0-0.79.0
kubernetes v1.11.0+d4cacc0
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://api.jkaurbeta.aws.cee.redhat.com:6443
kubernetes v1.12.4+8156b0c


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: Failed network clusteropeator


Expected results: Network clusteroperator should be in ready state


Additional info:

Comment 1 Dan Winship 2019-04-02 13:58:47 UTC
Note that it is also marked "Available: True", meaning that it did successfully configure the network at some point. Did this error occur during an update? Or was it visible immediately when the installer finished?

Can you get the network operator logs and apiserver logs?

Comment 2 Casey Callendrello 2019-04-12 13:12:48 UTC
Pretty sure this is the expected result when an apiserver fails over. Closing this as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.